STUBGEN(1)

NAME
stubgen - Generate draft stubs for Python modules.

DESCRIPTION
usage: stubgen [--py2] [--no-import] [--doc-dir PATH]

    [--search-path PATH] [-p PATH] [-o PATH] MODULE ...

Generate draft stubs for modules.

Stubs are generated in directory ./out, to avoid overriding files with manual changes. This directory is assumed to exist.

OPTIONS

--py2
    run in Python 2 mode (default: Python 3 mode)

--recursive
    traverse listed modules to generate inner package modules as well

--ignore-errors ignore errors when trying to generate stubs for modules

--no-import
    don't import the modules, just parse and analyze them (doesn't work with C extension modules and doesn't respect __all__)

--include-private

    generate stubs for objects and members considered private (single leading undescore and no trailing underscores)

--doc-dir PATH
    use .rst documentation in PATH (this may result in better stubs in some cases; consider setting this to DIR/Python-X.Y.Z/Doc/library)

--search-path PATH

    specify module search directories, separated by ':' (currently only used if --no-import is given)

-p PATH
    use Python interpreter at PATH (only works for Python 2 right now)

-o PATH
    Change the output folder [default: out]

-h, --help
    print this help message and exit